com.io7m.r2.core

## Class R2DepthOnlyBufferDescription

- java.lang.Object
- - com.io7m.r2.core.R2DepthOnlyBufferDescription

- All Implemented Interfaces:
    R2DepthOnlyBufferDescriptionType, R2RenderTargetDescriptionType

      @Generated(value={"Immutables.generator","R2DepthOnlyBufferDescriptionType"})
      public final class R2DepthOnlyBufferDescription
      extends Object
      implements R2DepthOnlyBufferDescriptionType

  The type of depth-only buffer descriptions.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `R2DepthOnlyBufferDescription.Builder` Builds instances of type `R2DepthOnlyBufferDescription`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jareas.core.AreaInclusiveUnsignedLType` | `area()`
    `static R2DepthOnlyBufferDescription.Builder` | `builder()` Creates a builder for `R2DepthOnlyBufferDescription`.
    `static R2DepthOnlyBufferDescription` | `copyOf(R2DepthOnlyBufferDescriptionType instance)` Creates an immutable copy of a `R2DepthOnlyBufferDescriptionType` value.
    `R2DepthPrecision` | `depthPrecision()`
    `boolean` | `equals(Object another)` This instance is equal to all instances of `R2DepthOnlyBufferDescription` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `depthPrecision`, `area`.
    `static R2DepthOnlyBufferDescription` | `of(com.io7m.jareas.core.AreaInclusiveUnsignedLType area)` Construct a new immutable `R2DepthOnlyBufferDescription` instance.
    `String` | `toString()` Prints the immutable value `R2DepthOnlyBufferDescription` with attribute values.
    `R2DepthOnlyBufferDescription` | `withArea(com.io7m.jareas.core.AreaInclusiveUnsignedLType value)` Copy the current immutable object by setting a value for the `area` attribute.
    `R2DepthOnlyBufferDescription` | `withDepthPrecision(R2DepthPrecision value)` Copy the current immutable object by setting a value for the `depthPrecision` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### depthPrecision

          public R2DepthPrecision depthPrecision()

      Specified by:
        `depthPrecision` in interface `R2DepthOnlyBufferDescriptionType`
      Returns:
        The precision of the depth buffer

    - #### area

          public com.io7m.jareas.core.AreaInclusiveUnsignedLType area()

      Specified by:
        `area` in interface `R2RenderTargetDescriptionType`
      Returns:
        The inclusive area of the framebuffer.

    - #### withDepthPrecision

          public final R2DepthOnlyBufferDescription withDepthPrecision(R2DepthPrecision value)

      Copy the current immutable object by setting a value for the `depthPrecision` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for depthPrecision
      Returns:
        A modified copy of the `this` object

    - #### withArea

          public final R2DepthOnlyBufferDescription withArea(com.io7m.jareas.core.AreaInclusiveUnsignedLType value)

      Copy the current immutable object by setting a value for the `area` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
      Parameters:
        `value` - A new value for area
      Returns:
        A modified copy of the `this` object

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `R2DepthOnlyBufferDescription` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `depthPrecision`, `area`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `R2DepthOnlyBufferDescription` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static R2DepthOnlyBufferDescription of(com.io7m.jareas.core.AreaInclusiveUnsignedLType area)

      Construct a new immutable `R2DepthOnlyBufferDescription` instance.
      Parameters:
        `area` - The value for the `area` attribute
      Returns:
        An immutable R2DepthOnlyBufferDescription instance

    - #### copyOf

          public static R2DepthOnlyBufferDescription copyOf(R2DepthOnlyBufferDescriptionType instance)

      Creates an immutable copy of a `R2DepthOnlyBufferDescriptionType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable R2DepthOnlyBufferDescription instance

    - #### builder

          public static R2DepthOnlyBufferDescription.Builder builder()

      Creates a builder for `R2DepthOnlyBufferDescription`.
      Returns:
        A new R2DepthOnlyBufferDescription builder

Copyright © 2016 <code@io7m.com> http://io7m.com